curl --request POST \
--url http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"address_id": 123,
"addresses": [
{
"object": "<string>",
"id": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"is_primary": true,
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>",
"type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": "<unknown>",
"external_role": "billing_contact",
"family_name": "<string>",
"given_name": "<string>",
"internal_role": "account_manager",
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary": true,
"is_primary_email": true,
"is_primary_phone": true,
"job_title": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"status_metadata": "<unknown>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Disable Contact
Disable all communication channels (email and phone) for a partner.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Successful response
The contact's email address.
2553232Show child attributes
Show child attributes
Show child attributes
Show child attributes
The external contact's role.
billing_contact, executive, economic_user, null 15If an individual, the contact's family name.
If an individual, the contact's given name.
The internal contact's role.
account_manager, account_executive, csm, null 17Whether the contact's email has been deemed invalid.
Whether the contact's email has been deemed invalid.
Whether the contact is a primary contact for the partner.
Whether the contact is the primary email contact for the partner.
Whether the contact is the primary phone contact for the partner.
The contact's job at their company.
The contact's name, if no given/family name.
The contact's phone number.
32When the third party's entry was created.
The contact's third party API ID.
When the third party's entry was updated.
Holds metadata about why contact channel statuses changed, has source (email or call) as key values (e.g. {'email'|'call': {status: 'enabled'|'disabled', reason: str, timestamp: datetime}})
